=== debian/changelog ===
multipath-tools (0.4.9-3ubuntu7) raring; urgency=low

  * Add 0010-fix-extended-partitions.patch: Only expose the
    first two sectors of the extended partition (LP: #1093918).

 -- Phillip Susi <psusi@ubuntu.com>  Fri, 04 Jan 2013 16:14:34 -0500

multipath-tools (0.4.9-3ubuntu6) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 14:00:37 +0100

multipath-tools (0.4.9-3ubuntu5) precise; urgency=low

  * Split kpartx initramfs bits into kpartx-boot for dmraid (LP: #941874)

 -- Phillip Susi <psusi@ubuntu.com>  Tue, 20 Mar 2012 15:26:22 -0400

multipath-tools (0.4.9-3ubuntu4) precise; urgency=low

  * Restore multipath-udeb dependency on multipath-modules (LP: #959749).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2012 14:34:01 +0000

multipath-tools (0.4.9-3ubuntu3) precise; urgency=low

  * Move kpartx from multipath-udeb to a new kpartx-udeb package
    (LP: #922646).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 23:04:23 +0000

multipath-tools (0.4.9-3ubuntu2) precise; urgency=low

  * Add 0009-fix-delim.patch: The 'p' delimiter was being added
    when it shouldn't.

 -- Phillip Susi <psusi@ubuntu.com>  Sun, 08 Jan 2012 20:57:47 -0500

multipath-tools (0.4.9-3ubuntu1) precise; urgency=low

  * Merge with Debian (for remaining changes, see 0.4.9-2ubuntu1).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Dec 2011 21:32:48 +0100

multipath-tools (0.4.9-3) unstable; urgency=low

  * [dd85b8b] Add example to kpartx manpage. Committed upstream.
    Thanks to Lars Wirzenius (Closes: 637538)
  * [652acf5] Add Brazilian Portuguese debconf templates translation.
    Thanks to Flamarion Jorge (Closes: 640802)
  * [71df377] Add Danish translation of the debconf templates multipath-tools.
    Thanks to Joe Hansen (Closes: #628225)
  * [19ab90f] Avoid unnecessary linkage to ncurses library.
    Thanks to Sven Joachim (Closes: 646148)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 03 Dec 2011 19:34:59 +0530

multipath-tools (0.4.9-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable, remaining changes:
    - control:
      * Bump debhelper dependency to install udev rules to
       /lib/udev/rules.d, bump udev dependencies as well.
      * multipath-udeb must not depend on multipath-modules, 
        because the Ubuntu kernel already includes the modules and no 
        package provides m-m.
    - initramfs/hooks: use 95 not 60 for multipath rules priority
    - multipath-tools-boot.init: remove in favor of kpartx.udev rules (at top)
    - kpartx.udev:
      * add rule to load dm-multipath
      * use whole path when running /usr/lib/dmsetup_env
      * call kpartx through dmsetup for mpath-* devices
      * switch $name for $kernel for dmraid rule
    - multipath-tools.preinst: modprobe dm-multipath.
      This will make sure that multipathd will be able to start.
    - patches/1000--set-umask-in-multipathd.patch: Set umask in multipathd.
    - rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - Have initramfs local-top start with scsi_wait_scan, and make sure all
      devices have been found before bothering to call udevadm settle.
    - debian/initramfs/local-top: wait for scsi_wait_scan
  * *.install: use /lib*/ instead of /lib/ to catch /lib64
  * debian/initramfs/local-top: remove '--timeout 10' which causes my
    test system to not boot roughly 3 out of 4 times.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 06 Jun 2011 12:31:23 -0500

multipath-tools (0.4.9-2) unstable; urgency=low

  * [2544655] wait harder for multipath init. Thanks to Serge Hallyn for
    the patch
  * [eb87e52] switch to 3.0 quilt source format
  * [e55a306] explictly mention license copyright
  * [52db82f] update vcs headers
  * [8313f77] with dpkg > 1.15.7 we now don't need XC
  * [8fdf077] update short description for multipath udeb package
  * [c409ef3] add misc:Depends for multipath-udeb
  * [c890181] take maintenance of package (Closes: #607911)
  * [09bbbc8] add debugging symbols package. Thanks to Craig Magina.
    (Closes: #609068)
  * [2e6f8a7] spelling/hyphen fixes
  * [97e02e7] add manpage for read-only mappings
  * [5419352] add-r-to-make-resulting-device-read-only. Thanks to Wakko Warner
    for the patch (Closes: #504678)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 05 Mar 2011 03:22:32 +0530

multipath-tools (0.4.9-1) unstable; urgency=low

  [ Guido Günther ]
  * New upstream version 0.4.9 (Closes: #587315, #595127)
  * [500e341] Don't fail "mulitipath-tools start" if multipathd is
    already running (Closes: #587678)
  * [f4e697c] Drop upstream patches:
      * 0001-Fix-udev-rules-for-dmraid.patch
      * 0003-fix-URL-to-FAQ.patch
      * 0004-check-header-file-for-defintion-of-dm_task_no_flush.patch
      * 0005-set-a-soname.patch
      * 0006-add-library-dependencies.patch
      * 0007-multipath-tools-rdac-path-checked-leads-to-I-O-hang-.patch
      * 0010-Dots-are-special-in-groff.patch
      * 0011-multipath-fix-offset-for-containted-slices.patch
  * [678dcb6] Bindings file moved to /etc/multipath
  * [ac2f9d5] Bump standards version
  * [baea3a2] Add upstream homepage
  * [9daa1b8] Remove /usr from $PATH so lintian doesn't assume we're
    calling scripts from $remove_fs.
  * [1a3c85e] Update po files

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Sep 2010 15:10:26 +0200

multipath-tools (0.4.8-14ubuntu11) oneiric; urgency=low

  * Fixes some return logic issues in the blacklist.c:_filter_path function
    where using blacklist and blacklist_exceptions would cause multipathd to
    improperly filter paths. (LP: #789229)
    - The patch was created by Christophe Varoqui in 2007.
      + http://www.redhat.com/archives/dm-devel/2007-November/msg00054.html
      + 0013-libmultipath-filter_path-fix_blacklist_filter_exit.patch
    - [serge-hallyn] swap in the whole upstream git commit and call it
      0013-blacklist_exception_issues.patch.


