=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -47,9 +51,10 @@
 	dh_install -X.rules --fail-missing --sourcedir=$(CURDIR)/debian/tmp
 	# initramfs stuff:
 	install -D -m 755 debian/initramfs/hooks $(INITRAMFS)/hooks/multipath
-	install -D -m 755 debian/initramfs/kpartx.hook $(CURDIR)/debian/kpartx-boot/usr/share/initramfs-tools/hooks/kpartx
 	install -D -m 755 debian/initramfs/local-top \
 		$(INITRAMFS)/scripts/local-top/multipath
+	install -D -m 755 debian/initramfs/init-top \
+		$(INITRAMFS)/scripts/init-top/multipath
 	# reportbug:
 	for pkg in "multipath-tools" "multipath-tools-boot"; do \
 	    install -D -m 755 debian/reportbug/script debian/$${pkg}/usr/share/bug/$${pkg}/script; \
@@ -68,8 +73,8 @@
 	dh_installexamples
 	dh_installinit -pmultipath-tools
 	dh_installinit -pmultipath-tools --name=multipath-tools-boot --no-start -- start 21 S .
-	dh_installudev -pkpartx --priority=95
-	dh_installudev -pmultipath-tools --name=multipath --priority=95
+	dh_installudev -pkpartx
+	dh_installudev -pmultipath-tools --name=multipath
 	dh_installdebconf -pmultipath-tools-boot
 	dh_installman
 	dh_makeshlibs --add-udeb=multipath-udeb
