## multipath-tools 0.4.9+git0.9c3c5172

=== debian/changelog ===
multipath-tools (0.4.9+git0.9c3c5172-1) unstable; urgency=low

  * [b6f1bce] Emphasize on the alias feature.
    Thanks to Vincent McIntyre (Closes: #716655)
  * [3eab3e3] Restore multipath's dependence on dmsetup_env tool.
    Thanks to Salvatore Bonaccorso, Gordon Grubert (Closes: #726296, #726311)
  * [1bcf079] Imported Upstream version 0.4.9+git0.9c3c5172
  * [62c8f71] Update README.source with updated instructions
  * [3b4c3db] Enable standard hardening knobs
  * [54ea833] Add build dependency on libudev-dev
  * [94c01e4] Ship mpath persist manpages in the multipath-tools package
  * [d09e731] Update multipath-tools.install for mpathpersist
  * [997abf1] Fix Vcs links

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 05 Nov 2013 12:38:57 +0530
