=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,12 @@
   OPTFLAGS = "OPTFLAGS=-pipe -Wall -Wunused -Wstrict-prototypes"
 endif
 
+# For Hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+#
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -25,6 +31,8 @@
 
 build-stamp:
 	dh_testdir
+	
+	[ ! -f kpartx/kpartx.rules ] || cp kpartx/kpartx.rules debian/kpartx.udev
 
 	$(MAKE) $(OPTFLAGS) LIB=lib
 
@@ -36,13 +44,14 @@
 clean: clean-tree
 	dh_testdir
 	rm -f build-stamp
-	dh_clean
+	dh_prep
 	debconf-updatepo
+	rm -rf debian/*.debhelper.log
 
 install:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/tmp/sbin
