=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>= 0.124), initscripts (>= 2.85-16),
  kpartx (>= ${binary:Version}), lsb-base (>= 3), libaio1 (>= 0.3.106-8)
-Conflicts: multipath-tools-initramfs (<= 1.0.1),
+Breaks: multipath-tools-initramfs (<= 1.0.1),
  multipath-tools-boot (<= 0.4.8+git0.761c66f-2~)
 Suggests: multipath-tools-boot
 Description: maintain multipath block device access
@@ -49,7 +49,7 @@
 Depends: ${misc:Depends}, initramfs-tools, 
  multipath-tools (>= ${source:Version}), multipath-tools (<< ${source:Version}.1~)
 Replaces: multipath-tools-initramfs (<< 1.0.1+nmu1)
-Conflicts: multipath-tools-initramfs (<< 1.0.1+nmu1)
+Breaks: multipath-tools-initramfs (<< 1.0.1+nmu1)
 Description: Support booting from multipath devices
  This package contains the necessary support for booting from a multipath
  device:
@@ -63,7 +63,7 @@
 Package: multipath-udeb
 Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, multipath-modules
+Depends: ${shlibs:Depends}, ${misc:Depends}, multipath-modules, kpartx-udeb
 Section: debian-installer
 Description: maintain multipath block device access - udeb package
  This is a udeb, or a microdeb, for the debian-installer.
@@ -71,3 +71,14 @@
  These tools are in charge of maintaining the disk multipath device maps and
  react to path and map events.
 
+Package: kpartx-udeb
+Package-Type: udeb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Section: debian-installer
+Description: create device mappings for partitions - udeb package
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ Kpartx can be used to set up device mappings for the partitions of any
+ partitioned block device. It is part of the Linux multipath-tools.
+
